import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.IOException;
import java.io.PrintWriter;

import commandcenter.CommandCenter;
import enumerate.Action;
import enumerate.State;

import structs.CharacterData;
import structs.FrameData;
import structs.GameData;
import structs.Key;
import gameInterface.AIInterface;


public class Seal_Switch implements AIInterface {

String toDo;

	
	private int dd=0;
	boolean p;
	GameData gd;
	Key inputKey;
	FrameData fd;
	CommandCenter cc;
	boolean face;
	boolean useC;
	int score;
	int switch_enemyHP=0;
	int switch_myHP=0;
	int switch_round=0;
	int switch_time=0;
	int switch_aiID=-1;
	int switch_good=0;
	AIDATA[] switch_ai=new AIDATA[10];
	int switch_N;
	String switch_History="";
	
	
	
	File file;
	PrintWriter pw;
	BufferedReader br;
	
	

	private String act[];
	private int MAX_ACT=23;
	private int TEST_ROUND = 3;
	private double PROB = 0.6;
	private int PER_GEN = 10;
	
	private int initSw = 0;
	private AIDATA ai;
	private int loadID;
	private String rawData = "";
	private boolean readFile = false;
	private boolean readStat = true;
	private boolean writeStat = true;
	private boolean writeFile = false;
	private boolean createNextGen;
	private int data_nextId;
	private int data_totalRound;
	private int data_currentGen;
	private int data_untilNextGen;
	private int data_untilNextDATA;
	private int data_minPop;
	private int data_curPop;
	private AIDATA ranking[];
	
	//////*************FORMAT*****************//////////
	//AIDATA
	// id gen score parent1 parent2 actN reaction1 ... reactionN 
	//ALL in int
	//////////////////////////////////////////////////
	
	

	public Key readToDo(){
		Key k = new Key();
		if(toDo.length()>0){
			int i=0;
			while(i<toDo.length()&&toDo.charAt(i)!='_'){
				char a =toDo.charAt(i);
				switch (a) {
				case '1':
					k.D=true;
					k.L=true;
					break;
				case '2':
					k.D=true;
					break;
				case '3':
					k.D=true;
					k.R=true;
					break;
				case '4':
					k.L=true;
					break;
				case '5':
					break;
				case '6':
					k.R=true;
					break;
				case '7':
					k.U=true;
					k.L=true;
					break;
				case '8':
					k.U=true;
					break;
				case '9':
					k.U=true;
					k.R=true;
					break;
				case 'A':
					k.A=true;
					break;
				case 'B':
					k.B=true;
					break;
				case 'C':
					k.C=true;
					break;
				default:
					break;
				}
				i++;
			}
			if(i<toDo.length()){
				toDo=toDo.substring(i+1,toDo.length());
			}else{
				toDo="";
			}
		}
		if(!face){
			boolean temp = k.R;
			k.R=k.L;
			k.L=temp;
		}

		return k;
	}





	public int initialize(GameData gameData, boolean playerNumber) {
		// TODO Auto-generated method stub
		gd = gameData;
		p = playerNumber;
		
		inputKey = new Key();
		fd = new FrameData();
		cc = new CommandCenter();
		toDo="";

		initAIData();
		initCONSTDATA();
		initSwitch();
		return 0;
	}

	public void getInformation(FrameData frameData) {
		// TODO Auto-generated method stub
		fd = frameData;
		cc.setFrameData(fd, p);
	}

	public void processing() {
		// TODO Auto-generated method stub
		if(!fd.emptyFlag){
			if(fd.getRemainingTime() > 0){
				
				//System.out.println(oppMotion.getMotionName()+":cancelable " + oppMotion.getCancelAbleFrame() + " frame.");

				if(ai!=null){score = calculateMyScore(fd.getP1().getHp(),fd.getP2().getHp(),p);}
				
				face=cc.getMyCharacter().isFront();
				if(cc.getMyCharacter().getEnergy()<300){
					useC=false;
				}else{
					useC=true;
				}
				switch_think();
				think();
				
			}
		}

	}

	public Key input() {
		// TODO Auto-generated method stub
		return readToDo();
	
	}
	
	

	public void close() {
	//	System.out.println("Switch : " + switch_aiID + "("+switch_good+")"+"["+switch_time+"] >>> END" );
		
	//	switch_History+= ("\n "+switch_round +" "+switch_aiID + "("+switch_good+")"+"  /  " +switch_time);
		
		switch_aiID=-1;
		
		//writeFile();
		// TODO Auto-generated method stub
		
		

	}
	
	public void think(){
		if(toDoFrame()<7){
			int state=0;//result
			int spd = 0;//out 0 in 512//enemy comein ? 
			int mdown= 0 ;// n0 y256  // my character down?
			int down=0;// n0 y128 // is enemy down ?
			int atk=0;// n0 y64  //is enemy attacking ?
			int mair = 0; //n0 y32  // is my charac in air
			int en=0;// in0 out16 //is  my en > 50?
			int air=0;// N0 Y8 // is enemy air?
			int dis=0;//0 1 2 3 4 5 6 7  // x 100 x 200 x 400 x  // distant
			
			
			if(cc.getMyCharacter().getState().equals(State.DOWN)){mdown=256;}
			if(cc.getEnemyCharacter().getState().equals(State.DOWN)){down=128;}
			
			Action oppAct = cc.getEnemyCharacter().getAction();
			String aa = oppAct.name();
			if(aa.endsWith("A")||aa.endsWith("B")||aa.endsWith("C")){
				atk=64;
			}
			
			
			int espd = cc.getEnemyCharacter().getSpeedX();
			if(face)espd=-espd;
			if(espd<-1)spd=512;
			
			if(cc.getMyEnergy()>50)en=16;
			
			if(cc.getEnemyCharacter().getState().equals(State.AIR)){
				air = 8;
			}
			
			if(cc.getMyCharacter().getState().equals(State.AIR)){
				mair = 32;
			}
			
			int dist =cc.getDistanceX();
			
			if(dist < 0) dist = - dist;
			if(dist < 20 ) dis = 0;
			else if(dist < 40) dis = 1;
			else if(dist < 70) dis = 2;
			else if(dist < 100)dis=3;
			else if(dist < 150) dis = 4;
			else if (dist < 250)dis=5;
			else if (dist < 400)dis=6;
			else dis =7;
			
			state= spd+mdown + down + atk+en+air+dis;
			state=state%ai.aiData.length;
			
			
			String d=act[ai.aiData[state]];
			
			toDo+=d;
			
		}
		
	}
	public int toDoFrame(){
		int ans=0;
		for(int i=0;i<toDo.length();i++){
			if(toDo.charAt(i)=='_')ans++;
		}
		return ans;
	}
	
	public void initAIData(){
		
		ai=new AIDATA("161 13 716 145 108 256 4 3 2 13 10 2 5 11 18 11 17 7 11 5 13 13 2 9 6 13 7 13 13 14 18 1 3 4 0 10 14 6 3 11 2 7 8 2 1 6 2 10 7 10 10 3 15 6 6 14 10 6 14 0 12 6 12 0 6 12 5 13 6 17 8 3 2 13 5 2 14 8 15 11 0 7 13 5 13 13 5 18 5 10 5 11 2 14 11 2 9 6 15 4 6 9 3 11 11 3 3 7 4 10 8 16 7 12 5 7 3 14 16 0 10 7 16 8 4 4 11 14 4 11 8 12 0 8 11 3 3 13 17 5 11 13 13 8 3 7 12 0 14 13 14 17 1 13 5 3 2 15 11 17 14 4 6 10 6 1 7 11 11 4 8 14 14 15 12 1 7 7 5 13 5 18 18 9 10 13 5 1 0 11 12 12 10 12 8 13 15 12 15 17 2 13 8 15 5 9 8 11 3 6 4 6 14 1 14 8 7 10 5 0 2 12 11 4 17 14 8 7 1 2 17 11 3 10 8 14 6 4 14 2 7 17 5 10 4 14 8 16 5 11 10 0 14 8 12 10 2 12 6 12 10 15 ");
	
		
	}
	
	
	public void initCONSTDATA(){
		
		//ACT
				act = new String[MAX_ACT];
				act[0]="_";
				act[1]="4_4A_";
				act[2]="4_4B_";
				act[3]="2_2A_";
				act[4]="6_6B_";
				act[5]="2_3_6_6A_";
				act[6]="2_3_6_6B_";
				act[7]="2_3_6_6C_";
				act[8]="6_2_3_3A_";
				act[9]="6_2_3_3B_";
				act[10]="2_1_4_4A_";
				act[11]="2_1_4_4B_";
				
				act[12]="9_9_9_9_9_9_9_9_9_9_"; //TRY TO JUMP
				act[13]="1_1_1_1_1_1_1_1_1_1_"; // LOW GUARD
				act[14]="4_4_4_4_4_4_4_4_4_4_"; // GUARD
				
				act[15]="5_5A_";
				act[16]="5_5B_";
				act[17]="2_2B_";
				act[18]="6_6A_";
				
				act[19]="6___6__";
				act[20]="8___8__";
				act[21]="7___7__";
				act[22]="9___9__";
		
		
	}
	
	private int calculateMyScore(int p1Hp,int p2Hp,boolean playerNumber){
		int score = 0;
		
		if(playerNumber){
			if(p2Hp != 0 || p1Hp != 0)
			{
				score = 1000 * p2Hp / (p1Hp + p2Hp);
			}
			else{
				score = 500;
			}
		}
		else{
			if(p2Hp != 0 || p1Hp != 0)
			{
				score = 1000 * p1Hp / (p1Hp + p2Hp);
			}
			else{
				score = 500;
			}
		}
		return score;
	}
	
	private void switch_think(){
		if(switch_aiID<0){
			changeAI(0);
		}
		switch_time++;
		if(cc.getEnemyHP()==0&&cc.getMyHP()==0){
			switch_enemyHP=0;
			switch_myHP=0;
		}
		if(switch_enemyHP-cc.getEnemyHP()>70){
			switch_enemyHP=cc.getEnemyHP();
			switch_myHP=cc.getMyHP();
			switch_good++;
		}
		if(switch_myHP-cc.getMyHP()>70+(switch_good*30)){
			changeAI();
		}
	}
	private void changeAI(){
		int r= (int)(Math.random()*switch_N);
		while (r==switch_aiID) {
			r= (int)(Math.random()*switch_N);
		}
		ai=switch_ai[r];
		System.out.println("Switch : " + switch_aiID + "("+switch_good+")"+"["+switch_time+"] >>> "+ r);
		switch_History+= ("\n "+switch_round +" "+switch_aiID + "("+switch_good+")"+"  /  " +switch_time);
		
		switch_aiID=r;
		switch_enemyHP=cc.getEnemyHP();
		switch_myHP=cc.getMyHP();
		switch_good=0;
		switch_round++;
		switch_time=0;
	}
	private void changeAI(int r){
		
		ai=switch_ai[r];
	//	System.out.println("Switch : " + switch_aiID + "("+switch_good+")"+"["+switch_time+"] >>> "+ r);
		switch_History+= ("\n "+switch_round +" "+switch_aiID + "("+switch_good+")"+"  /  " +switch_time);
		
		switch_aiID=r;
		switch_enemyHP=cc.getEnemyHP();
		switch_myHP=cc.getMyHP();
		switch_good=0;
		switch_round++;
		switch_time=0;
	}
	private void initSwitch(){
		String enemy = "";
		if(p){
			enemy = gd.getPlayerTwoCharacterName();
		}else{
			enemy = gd.getPlayerOneCharacterName();
		}
		System.out.println("Enemy is "+enemy);
		
		if(CHARACTER_GARNET.equalsIgnoreCase(enemy)){
			switch_N = 3;
			switch_ai[0]= new AIDATA(//DATA 25
						"10688 970 2867 10422 10657 1024 3 10 17 4 7 18 3 11 4 18 1 11 10 3 13 14 10 10 17 16 7 2 9 16 9 3 18 10 18 3 6 5 15 10 3 10 13 4 5 2 22 6 4 15 21 6 11 13 19 19 15 9 6 4 5 15 13 18 8 13 13 17 2 4 19 21 17 22 11 18 11 14 2 18 2 2 1 0 4 11 12 7 17 1 9 0 11 3 11 8 14 9 10 4 20 13 10 12 0 15 10 22 11 2 21 1 20 3 22 19 7 2 12 18 0 12 12 19 17 19 1 18 18 7 22 4 20 11 12 18 8 13 12 13 7 17 11 17 21 12 5 5 13 2 7 14 9 6 6 19 11 18 4 6 2 9 4 12 11 22 2 14 21 8 4 9 11 16 2 3 13 12 8 15 4 9 8 18 0 20 11 15 2 4 9 2 20 16 19 12 12 3 0 8 8 3 8 7 15 11 6 21 7 13 9 5 17 0 11 2 7 9 5 6 3 16 14 14 1 14 13 1 10 14 17 10 17 11 18 11 15 8 17 22 21 13 0 21 17 22 6 10 12 14 14 1 18 18 7 6 3 11 1 1 3 5 9 15 6 14 6 10 8 7 3 20 15 5 4 13 14 4 6 22 16 8 14 17 0 11 14 15 13 19 3 5 7 12 4 7 10 2 20 9 8 18 21 5 18 22 19 10 9 10 9 5 5 3 8 18 17 0 1 18 2 4 3 16 21 20 20 12 11 4 2 0 5 5 15 18 11 18 2 17 20 7 22 15 10 14 19 6 13 3 14 7 11 13 3 6 1 21 2 10 14 12 14 18 2 17 11 3 13 1 4 3 2 10 0 15 18 16 10 22 19 8 11 12 19 5 9 19 15 16 6 16 3 3 12 16 15 13 9 13 0 8 1 16 14 19 3 17 14 9 19 11 9 2 13 9 13 4 1 13 3 8 5 22 22 1 17 3 5 19 22 11 1 16 18 16 1 9 2 22 1 10 16 18 19 21 20 2 18 18 10 1 12 8 2 16 9 17 16 20 11 0 6 12 6 22 10 17 17 13 22 21 7 10 17 3 16 4 16 12 17 13 21 17 18 17 2 14 9 11 9 12 21 17 2 22 4 7 2 11 6 12 18 20 11 17 19 2 19 10 16 7 15 8 20 21 0 17 14 16 19 6 21 2 9 10 7 15 22 3 1 0 22 18 8 18 3 2 6 12 16 2 4 5 17 2 4 7 6 2 22 0 20 2 2 9 17 21 20 4 17 16 6 21 0 5 5 3 21 10 21 6 4 19 1 10 19 15 6 21 6 6 13 12 3 8 5 9 1 9 2 7 10 4 1 20 19 5 5 17 5 12 21 12 6 18 22 16 17 13 8 20 8 9 14 20 1 8 2 15 16 0 5 5 0 2 16 13 22 17 21 13 14 9 21 19 3 12 3 16 4 10 8 12 2 10 13 14 0 8 9 3 18 15 6 2 4 20 13 12 21 1 8 20 3 22 1 17 21 11 14 18 1 18 9 7 9 22 0 1 17 4 13 5 8 13 8 14 15 8 14 2 17 8 2 5 19 8 20 5 7 0 17 18 5 9 15 6 6 7 16 15 17 11 8 6 7 20 10 19 12 8 4 20 21 9 9 10 20 20 16 1 19 9 14 4 5 12 1 21 13 1 16 10 19 12 22 13 10 13 7 22 1 18 0 19 10 11 8 7 13 20 14 8 17 2 1 9 1 20 13 15 12 2 2 12 7 18 22 11 20 5 20 12 10 21 15 9 10 15 18 15 9 0 1 14 4 3 5 21 8 1 10 14 8 20 6 6 5 9 1 6 10 20 22 2 8 3 22 3 6 18 19 3 17 18 13 16 3 14 16 13 10 4 9 16 16 12 5 17 21 3 11 1 18 6 15 20 17 8 18 11 4 10 6 18 0 20 12 15 14 11 12 2 3 22 13 22 5 3 9 19 7 5 21 22 17 0 22 4 14 15 0 2 10 0 20 13 11 3 4 17 10 9 1 4 3 11 18 12 9 4 3 6 21 10 10 19 5 16 6 13 17 2 18 4 14 1 8 13 4 16 20 20 13 15 1 1 0 4 11 12 11 15 16 8 1 10 21 0 13 18 6 6 4 20 20 5 20 3 20 19 7 19 8 11 5 10 9 2 8 3 22 6 20 13 9 11 12 10 17 12 13 1 14 16 10 0 22 6 4 2 20 8 15 7 4 9 21 19 4 8 1 6 10 0 14 14 22 15 17 1 7 1 0 0 20 17 4 2 1 5 6 12 13 0 18 10 14 8 16 14 10 12 20 7 1 1 0 6 "
					);
			switch_ai[1]= new AIDATA(//DATA 33
					"10597 962 2127 8109 10339 1024 3 4 19 17 20 13 4 7 20 12 7 9 4 14 10 6 15 1 4 3 5 5 19 22 1 8 14 14 7 14 19 16 7 5 3 1 18 15 10 22 13 11 7 11 20 10 16 15 8 7 2 1 10 4 10 10 7 1 3 12 5 18 5 4 4 19 3 15 4 12 15 17 1 19 18 21 21 10 9 20 4 18 5 11 15 13 0 20 2 8 19 11 1 7 20 20 22 21 20 7 10 20 12 14 8 9 7 5 4 15 1 4 15 10 12 17 16 19 15 17 22 1 4 4 1 7 16 16 3 8 11 13 13 13 22 8 1 22 5 10 7 9 16 2 10 21 17 12 7 20 3 15 10 11 5 1 15 12 8 9 8 22 3 4 18 16 2 0 1 18 13 4 19 7 10 21 0 10 20 8 10 17 19 22 16 11 18 7 4 3 5 3 15 19 12 7 16 17 18 12 5 4 12 3 4 16 4 3 9 15 18 6 8 0 18 15 17 10 2 4 18 3 18 7 14 21 14 13 9 19 19 8 22 20 5 17 9 17 20 21 7 17 20 2 8 11 7 12 6 7 4 15 14 21 12 18 3 1 2 18 14 11 17 20 12 17 21 19 22 16 3 11 22 6 16 8 3 22 15 3 0 11 19 16 19 9 5 4 16 19 18 15 9 4 8 5 1 22 1 11 16 10 5 19 1 20 12 3 0 1 10 7 20 1 6 7 15 3 17 4 0 15 9 15 2 19 8 18 19 6 14 2 20 5 16 5 7 5 13 8 17 22 3 19 12 9 4 8 11 13 3 9 18 9 1 11 10 12 6 16 7 14 15 3 18 11 8 16 4 19 17 8 19 6 15 13 4 11 17 9 18 0 21 5 17 6 15 10 9 9 6 7 7 12 16 11 12 19 5 12 1 5 14 4 4 22 20 3 16 4 8 13 9 12 18 18 4 0 0 1 9 17 21 18 16 18 13 6 2 13 9 11 7 9 7 1 9 22 3 4 1 14 22 20 16 22 16 19 1 7 14 9 20 19 21 11 16 8 0 10 0 5 22 17 9 6 18 2 1 0 0 10 17 21 8 19 13 6 13 1 13 15 8 15 15 9 19 18 15 1 7 10 1 7 15 20 12 5 21 10 5 12 14 7 21 13 22 22 17 12 3 12 1 14 15 3 0 1 2 13 22 1 15 12 19 19 16 19 11 0 0 0 0 8 21 16 0 15 16 9 0 9 9 9 0 3 15 20 22 15 1 6 20 15 0 4 20 3 10 20 5 21 6 10 16 2 11 16 15 18 21 5 8 0 7 14 7 16 22 16 20 15 8 3 7 6 6 2 1 9 18 6 8 17 0 22 7 3 4 2 8 5 3 14 2 9 18 16 21 6 7 5 19 21 1 7 19 6 2 2 0 11 8 8 7 9 15 0 2 10 14 7 16 0 15 1 16 21 14 3 16 6 2 2 16 13 17 22 20 18 11 21 15 16 3 12 6 22 22 15 13 11 13 3 7 9 21 13 4 19 15 4 15 15 9 21 10 12 8 1 8 9 20 2 13 2 22 10 16 4 5 17 8 10 4 15 16 20 16 11 7 12 11 14 10 14 19 7 14 21 6 12 3 7 9 6 8 17 13 8 1 17 0 17 4 15 15 8 19 17 8 17 5 16 8 4 13 15 22 6 16 7 11 9 12 10 3 22 4 6 1 22 4 11 18 15 21 10 20 7 14 4 12 17 20 12 0 3 20 5 1 10 6 4 15 8 2 8 12 21 4 5 14 4 8 7 18 19 5 18 19 5 21 13 5 16 14 10 16 9 10 7 6 15 5 0 19 4 7 14 13 18 10 18 13 22 12 1 18 16 16 16 0 12 20 18 17 19 6 21 20 11 11 16 16 16 2 18 19 10 22 14 6 12 0 2 1 4 3 4 17 7 15 13 17 12 9 14 8 9 7 18 12 21 7 6 21 6 22 15 8 11 2 1 7 21 20 6 14 1 5 2 22 2 13 7 3 1 22 20 4 2 8 8 0 14 6 16 7 9 20 3 0 18 13 0 6 10 13 0 17 17 17 19 12 8 14 17 20 1 2 11 7 18 13 7 14 2 20 20 7 5 11 18 3 0 1 10 11 13 16 12 2 19 17 12 12 6 20 12 4 6 19 17 5 4 8 14 16 20 5 6 9 11 19 11 8 0 12 14 22 22 4 13 17 21 17 1 7 16 21 11 11 0 7 16 12 9 18 11 3 18 10 20 14 10 13 12 5 7 17 19 10 4 2 2 1 8 8 11 22 8 20 15 19 1 4 6 3 13 4 4 12 2  "
				);
			switch_ai[2]= new AIDATA(//DATA 24
					"16169 1468 1471 16141 16151 1024 17 5 17 3 19 8 10 0 22 21 9 13 7 7 10 12 15 21 5 4 6 12 12 7 6 1 10 21 9 8 6 1 22 1 14 20 8 9 13 9 18 16 18 22 5 19 3 11 15 12 7 0 20 15 17 19 16 4 17 9 12 12 2 13 2 17 5 4 17 7 9 9 17 17 17 17 0 5 2 16 5 5 18 6 5 17 12 7 11 4 11 6 15 21 1 19 11 22 15 3 14 22 0 6 15 20 16 20 20 15 22 6 11 15 6 7 8 15 22 14 9 12 4 10 8 19 1 12 1 17 6 18 18 9 0 19 5 17 16 5 3 3 21 19 12 3 19 18 5 15 0 5 12 6 12 17 0 0 18 1 18 18 15 4 13 10 5 15 18 17 2 8 21 20 2 10 21 7 6 7 20 7 2 0 10 11 12 15 13 8 12 8 9 22 3 13 17 9 19 20 19 7 9 7 9 22 13 13 11 12 21 21 22 13 4 5 7 6 17 13 19 3 1 1 19 7 15 7 10 3 21 11 11 0 7 9 19 7 15 8 21 15 15 22 21 8 3 15 12 10 8 14 9 15 9 14 17 9 9 8 0 10 2 0 17 5 21 11 21 13 9 19 4 0 12 21 21 22 2 9 2 14 1 5 3 22 16 13 22 13 6 11 2 13 18 17 8 3 11 0 18 14 10 2 16 18 11 9 6 10 13 12 10 17 13 13 22 3 14 22 1 7 7 3 15 1 8 13 4 10 1 22 5 16 20 16 3 13 8 1 8 18 5 15 15 1 2 0 7 19 2 13 4 19 5 2 12 5 16 11 10 17 6 14 14 3 12 21 18 21 14 9 4 12 13 11 11 21 15 3 5 3 17 18 6 5 5 3 20 18 9 15 8 8 8 13 10 3 15 16 3 18 14 9 7 7 22 3 0 10 0 11 6 8 17 1 4 0 22 1 5 10 13 12 6 11 2 18 21 12 0 22 9 9 3 8 10 16 18 21 12 16 22 20 7 9 4 11 14 11 19 10 18 5 14 9 18 18 7 1 13 17 21 3 1 15 12 19 11 18 14 6 19 7 17 15 9 22 8 17 10 11 14 17 10 9 1 20 19 9 22 3 8 6 18 2 12 12 0 3 0 1 6 21 13 3 6 2 8 3 11 5 3 2 19 4 5 22 8 5 2 6 3 17 8 15 3 9 4 17 1 2 4 10 1 3 14 8 1 5 5 5 0 18 4 2 10 14 2 21 15 10 10 10 18 15 8 10 11 19 18 3 9 13 3 13 16 18 6 18 14 19 10 12 21 4 1 3 0 17 3 0 1 18 18 12 17 5 17 6 2 19 9 16 8 12 8 9 21 20 15 2 16 20 13 3 9 9 20 3 17 16 4 3 10 6 22 20 8 1 15 5 19 10 17 3 16 11 3 2 5 3 6 2 13 9 7 17 11 6 19 13 8 8 16 8 5 6 6 13 3 17 16 7 4 8 2 20 15 3 16 1 22 15 14 14 13 10 4 10 14 2 2 18 0 13 8 4 12 11 11 13 0 3 22 7 3 22 7 9 11 5 22 16 1 18 13 20 9 20 22 6 16 0 16 7 16 20 12 6 1 16 2 13 18 6 6 10 20 20 20 7 21 20 17 17 1 4 0 22 17 14 20 17 5 18 14 12 19 9 12 19 15 9 12 7 5 16 5 1 18 15 18 5 16 7 12 8 20 16 4 11 15 7 8 16 16 6 4 17 9 1 15 0 0 11 7 16 22 9 8 2 1 9 17 10 9 13 6 0 15 20 14 6 7 10 20 10 12 20 14 11 15 3 20 18 19 0 21 15 2 15 21 4 21 8 16 0 7 18 10 15 16 15 3 18 15 5 11 22 19 1 15 7 12 7 9 5 19 7 10 14 7 12 0 4 4 16 7 12 11 18 3 4 11 13 0 20 7 16 12 18 4 5 18 21 13 10 17 22 6 22 19 0 21 11 15 4 0 3 1 12 5 18 4 16 18 1 8 3 4 13 18 6 17 0 4 6 14 17 12 18 4 22 0 16 6 13 17 6 9 20 9 11 8 22 10 7 18 15 2 21 9 14 18 7 19 14 12 21 13 4 16 1 8 7 3 13 17 9 16 6 13 10 5 8 0 2 13 18 13 9 0 21 2 6 10 21 5 15 3 2 5 4 19 7 2 19 22 6 18 7 13 12 3 20 1 17 2 10 2 11 15 4 19 2 20 18 18 20 9 21 13 11 7 4 5 16 1 1 3 2 21 17 18 6 17 11 19 21 20 8 5 11 19 21 21 18 14 8 10 16 1 22 "
				);
		

		}else if(CHARACTER_ZEN.equalsIgnoreCase(enemy)){
			switch_N = 3;
			switch_ai[0]= new AIDATA(//DATA 30
						"4898 444 3017 4804 4862 1024 7 0 16 18 3 16 12 9 19 11 8 18 17 11 9 6 9 7 19 11 21 3 8 13 21 4 10 7 7 0 3 1 17 3 7 22 8 11 18 8 19 10 18 15 0 16 16 0 6 14 22 8 9 3 8 6 15 5 22 0 14 0 6 17 7 13 3 16 4 22 19 22 16 6 21 15 19 12 5 0 11 11 17 17 3 12 20 4 7 1 15 18 0 20 19 16 12 7 0 20 11 18 20 18 10 1 4 6 2 18 13 7 1 22 1 7 12 22 15 21 18 11 14 11 4 16 22 14 14 3 14 7 5 12 3 1 12 19 19 15 21 7 14 3 4 2 13 5 19 15 11 18 1 9 15 8 1 21 2 17 9 13 7 7 20 20 0 5 5 5 3 13 2 18 14 8 14 18 1 20 21 2 16 8 9 2 19 22 10 15 1 3 3 18 2 2 1 22 2 7 19 14 21 7 9 21 7 21 20 2 4 2 3 21 9 18 2 1 18 2 11 0 8 21 17 19 14 2 18 2 18 11 17 8 19 3 9 6 7 1 9 21 7 11 5 0 8 3 12 10 22 12 9 14 4 4 17 21 18 1 4 14 10 2 13 13 14 17 16 17 17 17 11 4 19 2 7 18 11 20 2 11 22 12 22 20 6 7 19 12 16 4 20 6 1 0 15 22 2 5 21 15 20 21 7 6 12 14 18 18 8 20 21 1 0 7 2 20 16 10 4 17 10 20 20 12 5 22 5 0 8 12 4 9 5 5 17 3 15 21 6 7 4 19 0 8 8 2 7 18 15 18 4 15 13 19 2 10 7 8 17 15 7 19 4 0 0 9 22 1 11 21 3 2 16 6 2 13 21 13 14 10 6 7 12 4 22 13 14 18 19 10 2 1 11 16 2 10 2 22 8 8 1 10 8 13 16 0 7 9 16 11 18 3 5 16 15 5 6 6 1 21 21 5 20 2 10 9 12 18 12 16 1 5 6 10 11 13 9 11 5 2 11 12 18 8 1 9 4 6 15 10 0 14 5 6 5 7 0 21 21 0 0 6 20 9 4 8 1 19 4 11 14 15 1 9 18 19 14 18 3 14 7 6 14 12 2 19 9 7 2 19 13 10 8 17 9 14 11 6 7 12 15 8 1 8 0 4 12 1 16 18 15 16 20 21 20 15 3 10 3 16 22 19 1 18 22 2 20 13 5 17 0 2 7 1 9 2 18 8 8 20 19 17 2 22 16 0 4 7 6 5 2 21 3 10 5 16 17 5 2 7 7 16 11 15 18 4 6 5 9 21 6 22 1 8 15 9 4 13 1 1 17 20 5 13 4 18 1 16 21 0 19 16 0 7 1 4 12 13 14 10 10 5 20 6 4 0 7 0 16 10 10 12 15 4 6 14 6 20 13 7 10 11 13 20 19 2 19 16 20 15 17 1 9 4 11 3 0 19 2 17 7 9 18 12 2 22 22 9 8 17 7 22 10 2 3 14 5 8 17 5 13 12 5 20 5 19 11 16 12 10 9 12 14 7 21 21 3 21 10 17 5 6 10 21 11 0 21 16 21 4 3 5 7 20 19 13 8 11 8 0 22 9 5 5 14 21 6 17 9 2 20 22 5 1 0 10 15 1 16 12 20 10 4 19 7 17 6 3 0 1 13 6 8 3 6 5 5 9 0 5 1 0 6 6 5 14 14 10 22 19 10 21 18 18 5 15 15 14 22 0 16 0 17 4 3 19 5 18 19 13 22 19 4 18 16 0 8 6 11 2 9 17 19 9 1 2 5 12 18 0 12 7 4 19 17 0 2 5 2 15 21 7 0 12 5 20 5 18 15 17 17 17 2 4 10 13 19 22 21 18 22 18 17 22 15 18 7 1 12 1 4 4 1 3 15 8 21 1 10 18 4 3 0 5 5 17 17 17 15 4 5 21 6 3 7 16 16 22 20 2 4 9 8 17 15 10 15 16 0 18 3 9 8 5 13 17 1 5 21 22 19 15 11 12 0 17 12 19 2 15 17 6 11 0 20 5 7 14 9 6 4 18 2 19 11 19 7 4 10 17 16 7 12 6 21 8 22 9 12 17 6 10 3 7 10 15 1 16 15 13 1 3 10 14 6 21 22 0 9 18 11 15 12 2 7 19 16 7 12 19 1 12 3 14 16 12 8 13 14 14 19 11 21 8 13 3 10 12 22 11 15 14 5 2 0 4 5 1 4 9 18 13 4 12 6 14 11 10 7 1 0 22 22 1 5 2 14 22 1 22 15 13 6 0 19 0 4 21 7 0 12 12 21 17 11 10 4 6 18 17 14 10 "
					);
			switch_ai[1]= new AIDATA(//DATA 32
					"3003 272 4597 2867 2985 1024 12 17 11 11 16 2 15 22 2 19 13 21 3 12 6 18 11 10 10 17 3 1 15 6 10 2 0 14 3 18 6 19 20 17 6 9 15 2 6 0 13 18 22 2 12 13 17 7 11 3 15 4 14 11 8 13 22 14 2 6 6 11 18 17 11 9 5 17 11 16 17 12 10 1 1 10 7 7 2 8 9 18 1 13 10 18 3 20 10 8 1 21 0 21 21 3 8 13 0 0 3 11 0 4 2 9 17 17 4 16 7 2 12 17 1 8 16 3 15 5 21 11 5 6 21 6 5 5 19 22 12 19 10 13 14 4 12 15 16 4 2 19 20 1 9 11 2 17 3 16 12 22 20 3 1 15 11 20 4 21 15 3 18 7 11 15 11 13 4 17 15 19 21 8 6 13 3 16 7 18 1 17 22 3 14 17 15 16 20 10 3 17 1 16 16 22 19 14 17 4 12 9 13 19 22 12 4 6 8 7 17 15 9 19 18 9 19 6 6 16 19 16 12 5 10 8 15 20 18 16 1 7 4 20 1 7 0 16 9 0 18 11 1 10 11 18 19 1 8 14 0 8 22 4 14 20 7 16 1 16 8 8 13 22 14 5 4 14 4 19 0 9 7 18 11 12 7 3 5 13 14 16 21 13 6 5 11 0 18 7 20 14 22 1 6 20 3 14 13 9 14 19 15 6 16 16 10 17 12 20 13 8 1 15 2 11 15 7 7 19 20 13 17 11 19 0 9 2 3 12 6 6 9 5 7 19 19 19 21 4 16 13 15 7 0 20 21 12 18 13 21 15 0 2 2 2 22 16 18 5 21 9 13 15 10 18 9 10 17 22 13 10 16 8 7 1 17 21 20 5 18 9 18 18 18 8 2 4 1 12 10 11 0 14 18 0 17 8 3 18 6 18 13 4 6 8 0 12 20 14 20 4 19 3 21 8 12 3 13 3 18 4 13 5 2 1 0 2 5 13 12 2 13 18 17 6 18 22 0 11 20 7 2 3 4 6 19 17 16 22 19 4 5 22 15 17 20 10 0 10 3 20 20 22 3 17 15 20 8 2 22 18 15 10 9 1 19 1 11 9 20 6 7 22 2 6 21 16 17 9 10 9 15 8 2 10 5 4 11 12 14 21 20 0 11 19 20 14 8 8 2 1 19 19 17 0 10 16 16 10 20 7 4 21 19 1 21 18 14 12 6 15 18 5 6 3 10 19 6 3 9 9 0 12 6 12 2 14 19 17 20 13 2 16 6 6 13 22 4 11 19 20 6 2 14 16 12 5 17 3 3 3 4 18 17 16 2 6 0 16 3 10 15 8 0 3 17 1 6 18 10 11 3 18 0 9 16 20 12 14 22 19 20 15 12 8 16 5 2 11 12 22 1 1 17 20 2 6 13 4 10 16 22 4 7 8 22 22 2 1 12 18 17 3 3 1 1 12 13 2 21 7 22 21 14 21 4 6 14 7 4 11 4 2 14 2 19 1 20 11 0 11 20 6 12 20 6 16 8 13 9 2 13 0 11 19 12 2 2 13 8 7 11 3 16 14 18 5 21 19 12 21 14 1 3 4 11 4 4 5 12 3 1 21 9 18 10 5 21 10 3 10 8 5 20 1 11 15 1 1 22 11 3 17 15 15 8 5 17 18 16 9 6 2 19 4 2 8 10 19 18 14 5 6 0 7 19 8 5 15 22 22 14 0 8 12 7 19 13 10 15 1 0 16 17 3 8 12 5 15 5 15 17 2 10 14 10 0 4 17 11 1 22 17 16 1 4 1 11 4 8 19 2 11 7 7 15 11 21 4 7 12 18 11 22 20 1 6 11 20 14 16 9 12 17 1 18 6 12 16 4 0 10 9 2 20 3 14 11 1 14 20 1 7 5 16 10 5 5 9 21 2 2 20 6 13 19 13 10 13 13 9 19 18 1 10 20 20 9 14 4 8 12 13 12 10 7 17 4 22 21 22 16 1 7 22 0 2 3 10 15 22 17 6 7 1 20 3 6 15 12 0 22 10 3 7 16 22 10 17 20 12 5 17 7 6 14 18 8 20 15 20 8 20 0 14 7 2 17 6 20 18 14 20 22 16 0 0 5 4 20 17 8 15 10 10 10 8 12 20 20 17 12 5 8 5 4 14 1 19 4 16 16 18 8 4 5 5 6 12 3 15 13 22 7 5 11 20 7 17 7 9 6 16 9 2 13 11 20 22 12 2 10 22 16 21 4 8 4 2 15 12 14 12 9 16 6 4 3 5 22 2 1 2 10 6 21 16 22 12 17 16 18 2 2 9 14 10 17 21 8 13 7 12 "
				);
			switch_ai[2]= new AIDATA(//DATA 29
					"6174 560 1369 6105 6173 1024 1 17 11 2 17 6 8 15 5 14 18 3 1 11 17 13 17 18 22 5 10 17 11 8 11 8 5 2 19 6 12 20 18 17 16 0 8 18 8 6 5 4 9 20 9 8 20 0 22 18 5 0 16 14 4 6 19 15 1 15 22 2 13 0 4 4 17 5 6 9 7 12 17 12 3 3 6 0 6 8 5 16 17 6 4 0 19 7 19 19 10 12 11 21 15 16 22 6 12 17 16 0 21 20 3 21 6 15 2 17 0 12 1 8 20 4 3 21 17 12 9 11 13 22 9 0 6 16 20 18 22 16 3 18 10 21 0 8 11 4 22 22 2 1 19 6 12 17 5 9 0 20 0 8 9 6 14 6 0 21 5 4 2 9 22 3 19 17 5 19 14 2 0 8 2 20 16 6 9 12 7 4 12 8 4 2 20 2 15 22 3 21 2 11 21 13 11 3 7 0 20 21 16 7 1 3 8 7 10 20 1 3 12 12 1 19 14 1 8 0 7 22 9 14 3 2 6 17 5 15 17 20 2 18 14 15 14 17 18 19 6 9 15 7 21 12 16 6 17 6 9 1 12 13 21 11 20 4 3 9 15 17 9 21 14 5 19 17 14 10 13 22 16 5 14 14 11 14 9 3 4 12 9 19 11 1 6 20 10 15 8 3 10 13 9 2 8 10 13 13 0 15 8 13 19 15 15 12 10 4 10 22 11 15 15 12 0 18 6 2 0 17 8 7 11 4 11 21 16 4 17 0 17 11 0 20 6 21 4 8 5 19 19 0 11 17 6 3 16 20 21 22 4 14 3 5 21 22 6 3 22 11 18 16 5 21 4 17 16 13 12 3 6 11 13 5 11 19 7 13 1 13 1 12 13 0 5 11 22 15 10 18 22 22 3 6 19 8 7 14 9 14 10 12 9 21 16 6 22 6 13 22 19 18 4 4 10 16 21 5 5 13 17 11 17 1 22 19 21 0 5 1 22 12 22 5 17 10 8 1 0 21 3 11 2 7 10 2 9 18 8 10 6 9 10 1 5 9 3 10 9 12 13 22 11 5 19 6 7 18 12 6 16 0 17 2 15 17 5 8 3 8 19 18 12 6 20 8 22 10 7 1 15 12 17 3 0 12 6 18 21 0 2 7 15 16 2 9 13 8 20 12 3 21 7 6 2 17 6 22 1 16 22 15 14 12 4 13 6 6 11 12 9 10 5 12 0 13 1 13 17 4 5 19 17 13 4 11 2 5 1 10 17 19 10 19 4 13 17 21 21 13 14 20 17 4 15 22 0 15 22 3 17 21 6 13 10 10 0 20 21 5 2 18 16 7 14 20 12 11 7 16 15 17 11 8 10 19 16 19 7 9 9 10 6 15 9 12 18 17 11 5 13 13 3 7 21 7 5 22 15 4 8 9 3 18 7 5 4 6 1 8 1 19 10 14 16 17 6 7 1 17 9 0 7 10 15 5 6 5 11 22 12 3 3 17 11 22 18 2 21 14 4 10 4 19 18 15 5 21 13 13 17 4 8 8 6 0 16 5 15 7 10 5 11 0 22 22 21 10 20 12 19 5 19 22 0 19 13 5 22 0 9 13 6 2 22 2 8 16 3 1 1 15 9 12 1 10 20 11 4 13 13 21 4 12 15 0 14 21 2 8 4 6 12 22 17 14 21 9 5 20 15 19 21 21 12 7 1 15 8 13 10 6 11 20 1 9 8 7 6 6 16 16 3 17 19 11 2 5 8 20 18 7 16 19 17 15 16 21 19 21 11 21 18 15 14 16 11 15 11 5 9 0 3 8 14 5 17 15 1 17 2 3 4 3 15 4 13 9 17 20 15 5 17 4 12 14 15 19 11 12 11 10 2 10 2 4 4 21 15 20 13 7 5 13 2 11 1 21 9 9 8 10 18 8 0 12 11 19 14 5 14 1 14 13 9 1 21 12 12 4 1 15 12 7 4 12 7 5 16 5 22 6 9 13 5 1 18 0 0 2 3 20 6 20 8 7 11 0 10 17 11 15 20 21 18 0 22 12 16 3 1 10 12 10 17 0 10 0 11 1 18 16 21 8 6 19 7 20 12 17 18 14 5 21 10 9 8 19 16 19 15 8 11 20 16 13 11 1 4 13 18 8 19 8 8 0 10 7 22 4 4 19 22 14 7 12 0 4 3 8 3 16 5 4 17 0 18 19 7 1 12 14 19 17 14 18 2 4 4 7 3 16 5 10 7 10 16 21 2 1 2 18 16 16 11 6 22 22 11 3 3 15 2 17 20 22 22 4 19 18 5 3 1 8 9 19 4 9 12 5 6 3 "
				);
		
		}else{//enemy is LUD
			switch_N = 3;
			switch_ai[0]= new AIDATA(//DATA 33
						"10597 962 2127 8109 10339 1024 3 4 19 17 20 13 4 7 20 12 7 9 4 14 10 6 15 1 4 3 5 5 19 22 1 8 14 14 7 14 19 16 7 5 3 1 18 15 10 22 13 11 7 11 20 10 16 15 8 7 2 1 10 4 10 10 7 1 3 12 5 18 5 4 4 19 3 15 4 12 15 17 1 19 18 21 21 10 9 20 4 18 5 11 15 13 0 20 2 8 19 11 1 7 20 20 22 21 20 7 10 20 12 14 8 9 7 5 4 15 1 4 15 10 12 17 16 19 15 17 22 1 4 4 1 7 16 16 3 8 11 13 13 13 22 8 1 22 5 10 7 9 16 2 10 21 17 12 7 20 3 15 10 11 5 1 15 12 8 9 8 22 3 4 18 16 2 0 1 18 13 4 19 7 10 21 0 10 20 8 10 17 19 22 16 11 18 7 4 3 5 3 15 19 12 7 16 17 18 12 5 4 12 3 4 16 4 3 9 15 18 6 8 0 18 15 17 10 2 4 18 3 18 7 14 21 14 13 9 19 19 8 22 20 5 17 9 17 20 21 7 17 20 2 8 11 7 12 6 7 4 15 14 21 12 18 3 1 2 18 14 11 17 20 12 17 21 19 22 16 3 11 22 6 16 8 3 22 15 3 0 11 19 16 19 9 5 4 16 19 18 15 9 4 8 5 1 22 1 11 16 10 5 19 1 20 12 3 0 1 10 7 20 1 6 7 15 3 17 4 0 15 9 15 2 19 8 18 19 6 14 2 20 5 16 5 7 5 13 8 17 22 3 19 12 9 4 8 11 13 3 9 18 9 1 11 10 12 6 16 7 14 15 3 18 11 8 16 4 19 17 8 19 6 15 13 4 11 17 9 18 0 21 5 17 6 15 10 9 9 6 7 7 12 16 11 12 19 5 12 1 5 14 4 4 22 20 3 16 4 8 13 9 12 18 18 4 0 0 1 9 17 21 18 16 18 13 6 2 13 9 11 7 9 7 1 9 22 3 4 1 14 22 20 16 22 16 19 1 7 14 9 20 19 21 11 16 8 0 10 0 5 22 17 9 6 18 2 1 0 0 10 17 21 8 19 13 6 13 1 13 15 8 15 15 9 19 18 15 1 7 10 1 7 15 20 12 5 21 10 5 12 14 7 21 13 22 22 17 12 3 12 1 14 15 3 0 1 2 13 22 1 15 12 19 19 16 19 11 0 0 0 0 8 21 16 0 15 16 9 0 9 9 9 0 3 15 20 22 15 1 6 20 15 0 4 20 3 10 20 5 21 6 10 16 2 11 16 15 18 21 5 8 0 7 14 7 16 22 16 20 15 8 3 7 6 6 2 1 9 18 6 8 17 0 22 7 3 4 2 8 5 3 14 2 9 18 16 21 6 7 5 19 21 1 7 19 6 2 2 0 11 8 8 7 9 15 0 2 10 14 7 16 0 15 1 16 21 14 3 16 6 2 2 16 13 17 22 20 18 11 21 15 16 3 12 6 22 22 15 13 11 13 3 7 9 21 13 4 19 15 4 15 15 9 21 10 12 8 1 8 9 20 2 13 2 22 10 16 4 5 17 8 10 4 15 16 20 16 11 7 12 11 14 10 14 19 7 14 21 6 12 3 7 9 6 8 17 13 8 1 17 0 17 4 15 15 8 19 17 8 17 5 16 8 4 13 15 22 6 16 7 11 9 12 10 3 22 4 6 1 22 4 11 18 15 21 10 20 7 14 4 12 17 20 12 0 3 20 5 1 10 6 4 15 8 2 8 12 21 4 5 14 4 8 7 18 19 5 18 19 5 21 13 5 16 14 10 16 9 10 7 6 15 5 0 19 4 7 14 13 18 10 18 13 22 12 1 18 16 16 16 0 12 20 18 17 19 6 21 20 11 11 16 16 16 2 18 19 10 22 14 6 12 0 2 1 4 3 4 17 7 15 13 17 12 9 14 8 9 7 18 12 21 7 6 21 6 22 15 8 11 2 1 7 21 20 6 14 1 5 2 22 2 13 7 3 1 22 20 4 2 8 8 0 14 6 16 7 9 20 3 0 18 13 0 6 10 13 0 17 17 17 19 12 8 14 17 20 1 2 11 7 18 13 7 14 2 20 20 7 5 11 18 3 0 1 10 11 13 16 12 2 19 17 12 12 6 20 12 4 6 19 17 5 4 8 14 16 20 5 6 9 11 19 11 8 0 12 14 22 22 4 13 17 21 17 1 7 16 21 11 11 0 7 16 12 9 18 11 3 18 10 20 14 10 13 12 5 7 17 19 10 4 2 2 1 8 8 11 22 8 20 15 19 1 4 6 3 13 4 4 12 2  "
					);
			switch_ai[1]= new AIDATA(//DATA 26
					"7600 689 1598 7525 7548 1024 4 17 13 6 5 8 0 7 18 5 1 0 0 18 7 3 5 16 15 9 0 3 16 4 1 9 1 18 11 7 9 19 14 18 17 10 9 2 9 15 1 13 12 0 3 18 14 10 5 14 3 8 9 0 12 3 16 4 8 5 18 10 16 6 4 4 4 17 7 18 7 6 17 3 17 18 17 7 0 0 6 0 6 10 20 20 9 0 21 17 7 4 16 0 0 1 12 21 1 0 1 13 14 21 10 11 17 6 19 4 19 5 21 1 13 14 14 18 3 10 8 13 7 15 8 21 4 8 12 16 15 10 8 12 16 7 21 8 3 0 9 21 8 1 6 20 21 7 4 16 0 5 17 22 10 12 9 14 2 16 2 12 2 15 0 5 20 19 4 12 8 11 20 5 18 14 2 8 8 8 18 9 14 7 1 19 0 8 21 6 21 10 18 21 18 14 22 1 13 0 18 5 20 7 7 1 20 21 10 14 6 17 10 18 1 8 7 2 11 10 17 18 7 16 2 7 16 13 8 16 3 17 21 21 18 4 4 10 5 14 2 6 10 14 15 11 12 7 15 11 13 1 21 4 6 16 8 5 21 11 1 8 14 8 1 8 13 0 21 11 3 7 0 17 16 1 12 15 9 1 9 5 14 21 19 9 18 11 21 4 0 16 0 19 6 21 21 13 17 8 7 8 19 12 6 22 12 22 17 8 21 3 9 3 7 22 0 16 0 10 11 6 3 0 5 8 22 20 18 2 6 13 11 12 14 19 11 16 3 2 21 8 4 22 5 12 17 0 19 14 17 6 6 20 16 15 9 3 14 20 0 22 13 3 4 12 21 15 21 13 2 13 10 11 11 19 4 11 6 22 14 11 5 11 20 4 6 7 2 11 17 11 3 13 3 10 5 7 12 21 21 0 9 7 4 1 11 7 2 18 20 4 18 20 14 16 22 22 0 21 8 5 18 16 8 4 21 16 0 17 20 18 1 8 7 8 11 19 9 21 2 14 5 1 22 11 2 17 12 4 16 6 2 19 10 0 15 6 0 0 22 22 14 14 12 12 22 10 6 3 11 14 8 0 8 16 13 2 16 1 2 20 3 22 17 18 22 7 18 2 14 15 5 2 17 20 22 15 14 9 4 7 11 1 11 13 12 4 19 1 4 17 4 17 3 6 9 7 16 19 17 14 14 11 19 5 8 18 6 5 8 0 16 13 5 2 18 5 1 5 5 9 0 16 0 6 7 20 2 10 11 6 16 10 22 12 18 6 14 13 16 0 22 16 7 5 22 8 10 4 21 13 8 2 22 10 7 16 6 5 16 9 6 2 1 15 0 3 0 0 5 7 11 9 0 22 11 20 11 19 12 21 18 21 4 9 13 12 14 11 18 20 0 20 19 11 22 1 20 14 0 13 7 0 20 20 15 1 1 9 12 9 17 16 17 8 11 1 0 5 14 8 8 7 3 8 11 10 2 6 15 12 15 4 19 19 2 15 11 17 10 0 0 21 10 20 9 10 19 22 10 22 9 16 8 20 6 21 15 17 22 3 15 0 22 2 5 18 4 4 13 0 5 10 14 22 11 8 0 5 9 1 4 0 15 1 14 19 19 18 6 8 6 19 2 17 7 1 22 0 10 20 2 4 6 6 15 7 8 3 8 12 6 0 17 22 16 20 14 18 12 19 10 21 12 6 13 14 11 5 15 4 18 17 13 1 15 6 17 1 7 15 0 4 2 5 1 3 14 17 20 15 20 1 11 17 10 8 21 21 10 10 14 15 22 10 18 4 20 5 16 0 16 20 12 18 16 22 9 18 19 22 1 21 7 19 3 1 22 17 9 16 6 22 3 5 16 2 4 3 6 14 11 22 16 20 12 14 12 6 10 20 17 20 11 9 7 13 5 20 7 21 22 3 14 3 2 19 20 8 11 10 5 6 13 13 12 19 4 1 1 7 14 2 5 11 14 17 10 3 9 15 12 18 16 1 12 16 6 3 0 3 20 14 8 9 21 14 14 8 10 14 14 10 1 22 9 9 3 12 6 21 1 10 4 4 6 2 4 3 1 12 1 5 1 20 7 16 1 5 6 12 13 16 6 22 9 11 19 5 21 0 3 0 10 17 13 0 21 22 16 22 14 0 17 21 2 3 0 6 10 14 2 10 2 17 16 5 13 19 3 10 13 4 18 20 6 6 18 11 2 5 7 12 19 12 11 14 16 21 5 13 20 3 8 10 14 6 7 13 8 17 3 22 6 22 21 14 6 16 19 3 16 1 2 18 19 18 20 21 22 5 4 10 15 19 20 22 9 15 8 1 2 10 "
				);
			switch_ai[2]= new AIDATA(//DATA 31
					"12231 1110 1866 11286 10993 1024 8 4 15 17 7 21 12 0 6 13 11 5 5 16 22 20 10 4 13 3 20 15 12 10 11 12 22 6 20 21 3 2 5 11 0 15 13 16 18 0 6 1 5 8 5 2 2 14 17 19 15 8 12 22 6 7 22 8 1 14 19 5 21 20 3 3 5 3 0 8 20 19 17 0 15 3 13 8 13 9 6 4 17 11 2 6 21 12 14 13 2 11 13 17 4 2 22 13 18 7 15 14 17 18 10 3 15 11 19 7 20 1 1 3 18 16 3 2 14 8 9 20 4 7 19 5 6 15 4 8 6 7 4 11 16 2 20 15 10 13 8 13 3 7 11 12 17 12 22 8 16 17 3 20 11 13 12 5 15 8 3 3 20 16 2 0 17 21 15 22 0 11 6 12 11 7 0 7 5 20 16 4 14 1 19 13 7 5 15 10 7 4 0 1 20 0 15 14 16 16 7 11 21 8 12 12 19 4 17 16 2 6 0 3 13 2 20 2 19 18 20 11 21 7 12 14 22 0 4 8 21 16 21 0 7 3 7 14 3 1 22 18 10 14 14 2 1 5 12 14 10 5 22 5 12 8 8 10 14 8 22 14 9 5 17 20 4 22 3 1 14 2 22 20 6 0 6 3 16 10 13 8 22 5 1 3 15 18 10 6 22 10 21 16 0 22 17 6 7 4 17 21 0 14 13 8 13 12 3 18 5 0 11 9 12 13 1 12 19 21 5 14 14 20 7 13 8 6 18 10 4 9 0 8 9 13 6 6 1 9 1 19 4 7 20 14 16 13 17 1 17 17 5 22 13 2 0 7 7 3 22 2 7 7 9 12 18 6 6 16 4 1 21 22 10 22 6 14 1 6 2 4 11 5 4 6 18 2 2 14 0 12 13 15 12 16 16 17 19 3 5 0 7 1 3 12 21 13 21 8 8 18 7 18 5 19 9 1 18 6 6 22 7 22 19 21 22 7 15 15 19 1 20 21 4 10 19 21 18 18 2 15 9 20 6 21 9 6 19 22 19 15 3 21 8 0 2 17 10 4 18 7 3 12 17 21 13 4 18 2 15 6 21 17 22 21 0 17 13 3 12 10 9 12 7 15 1 12 15 13 9 20 3 5 14 12 19 1 6 4 3 0 16 3 4 8 15 17 16 16 19 21 14 22 19 0 17 12 15 12 21 3 17 7 15 12 1 2 1 15 16 4 2 20 3 15 4 0 14 16 18 20 16 13 5 5 22 6 20 18 4 20 18 6 4 12 19 10 10 0 5 6 4 1 21 8 9 14 21 14 15 15 21 11 22 16 0 3 13 13 21 6 10 21 16 21 15 1 0 16 11 1 2 19 16 13 3 15 15 12 4 19 12 9 12 9 16 0 3 18 15 9 13 21 10 7 17 0 7 5 5 12 10 13 16 11 9 4 1 18 2 3 13 10 10 19 22 12 19 9 14 4 13 5 4 19 8 3 2 4 8 13 15 15 2 3 8 5 2 3 5 18 0 21 13 10 7 14 4 21 11 7 21 6 21 19 8 3 2 6 7 17 12 6 9 20 10 8 2 4 14 15 8 8 5 13 12 8 21 6 3 19 3 14 12 18 12 11 1 18 13 18 13 11 8 6 14 2 4 18 0 4 22 13 3 1 19 7 18 11 12 22 17 12 0 0 15 16 17 1 8 3 12 0 11 11 12 1 19 8 14 5 0 11 5 9 9 12 9 3 21 0 14 5 16 18 7 7 9 7 9 9 9 14 10 5 13 4 7 14 7 16 1 12 21 2 13 21 22 6 19 14 3 17 4 17 4 7 8 7 18 6 2 1 1 9 8 17 17 22 5 12 5 16 10 21 6 10 19 8 22 10 10 11 20 11 1 13 2 16 5 13 4 15 0 10 3 18 10 20 14 22 13 15 12 22 8 2 22 6 17 7 5 10 16 13 22 19 7 15 16 1 0 5 5 18 14 20 2 12 1 13 0 11 15 12 18 15 20 19 14 20 8 8 11 3 22 6 8 0 7 11 12 16 9 1 15 10 3 3 5 20 21 6 12 2 14 15 8 21 15 4 18 2 0 22 19 10 22 19 4 0 15 22 17 2 20 10 22 6 9 2 16 1 7 13 3 11 22 3 18 7 12 0 1 18 4 16 13 1 6 11 2 13 5 15 4 4 2 17 22 8 2 14 2 22 6 8 20 3 17 2 2 0 2 14 18 16 7 17 6 6 0 18 5 13 15 3 0 19 0 9 20 21 17 19 16 3 19 0 8 8 18 7 7 22 14 5 21 2 2 6 3 7 20 4 5 4 20 13 10 21 5 6 "
				);
		
		}
		
	}
	private void writeFile(){

	}







	public String getCharacter() {
		// TODO Auto-generated method stub
		return CHARACTER_LUD;
	}

}
