package rule;

/**
 * 
 * @author Kevin Majchrzak
 * 
 */
public class EmptyRule extends Rule {

	public EmptyRule(GameStateInterface gameState) {
		super(gameState);
	}

	@Override
	public boolean satisfied() {
		return false;
	}

	@Override
	public void execute() {
		// can never be reached
	}

	@Override
	public int getPriority() {
		return 20;
	}

}
